import { TdChartOptionsService, TdCoordinateSystem, ITdItemStyle, ITdEmphasis, TdSeriesLayoutBy, ITdMarkPoint, ITdMarkLine, ITdMarkArea, ITdSeries, ITdLabel, TdProgressiveChunkMode, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdBarSeries extends ITdSeries {
    legendHoverLink?: boolean;
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    Label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    stack?: string;
    cursor?: string;
    barWidth?: number | string;
    barMaxWidth?: number | string;
    barMinHeight?: number;
    barGap?: string;
    barCategoryGap?: string;
    large?: boolean;
    largeThreshold?: number;
    progressive?: number;
    progressiveThreshold?: number;
    progressiveChunkMode?: TdProgressiveChunkMode;
    dimensions?: any[];
    encode?: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    Zlevel?: 0;
    z?: number;
    silent?: boolean;
}
export declare class TdChartSeriesBarComponent extends TdSeriesDirective implements ITdBarSeries {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    legendHoverLink?: boolean;
    stack?: string;
    cursor?: string;
    label?: any;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    barWidth?: number;
    barMaxWidth?: number;
    barMinHeight?: number;
    barGap?: string;
    barCategoryGap?: string;
    large?: boolean;
    largeThreshold?: number;
    progressive?: number;
    progressiveThreshold?: number;
    progressiveChunkMode?: TdProgressiveChunkMode;
    dimensions?: any[];
    encode: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesBarComponent, "td-chart-series[td-bar]", never, { "config": "config"; "id": "id"; "name": "name"; "color": "color"; "data": "data"; "animation": "animation"; "animationThreshold": "animationThreshold"; "animationDuration": "animationDuration"; "animationEasing": "animationEasing"; "animationDelay": "animationDelay"; "animationDurationUpdate": "animationDurationUpdate"; "animationEasingUpdate": "animationEasingUpdate"; "animationDelayUpdate": "animationDelayUpdate"; "tooltip": "tooltip"; "coordinateSystem": "coordinateSystem"; "xAxisIndex": "xAxisIndex"; "yAxisIndex": "yAxisIndex"; "legendHoverLink": "legendHoverLink"; "stack": "stack"; "cursor": "cursor"; "label": "label"; "itemStyle": "itemStyle"; "emphasis": "emphasis"; "barWidth": "barWidth"; "barMaxWidth": "barMaxWidth"; "barMinHeight": "barMinHeight"; "barGap": "barGap"; "barCategoryGap": "barCategoryGap"; "large": "large"; "largeThreshold": "largeThreshold"; "progressive": "progressive"; "progressiveThreshold": "progressiveThreshold"; "progressiveChunkMode": "progressiveChunkMode"; "dimensions": "dimensions"; "encode": "encode"; "seriesLayoutBy": "seriesLayoutBy"; "datasetIndex": "datasetIndex"; "markPoint": "markPoint"; "markLine": "markLine"; "markArea": "markArea"; "zlevel": "zlevel"; "z": "z"; }, {}, never, never>;
}
